petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchSetPostCheck

Sets a user function that is called after the line search has been applied to determine the step direction and length. Allows the user a chance to change or override the decision of the line search routine

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetPostCheck(SNESLineSearch linesearch, PetscErrorCode (*func)(SNESLineSearch,Vec,Vec,Vec,PetscBool*,PetscBool*,void*),void *ctx)

Logically Collective on SNESLineSearch

### Input Parameters

| linesearch | - the SNESLineSearch context
| func | - [optional] function evaluation routine, see SNESLineSearchPostCheckFunction for the calling sequence
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Keywords

set, linesearch, post-check

### See Also

SNESLineSearchSetPreCheck()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html